{% set CodiceModulo = "RIC_SOM_RES" %}
{% set Urn = "document:c_e270:ristorazione.scolastica.somme.residue;restituzione" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Richiesta restituzione somme residue mensa scolastica"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|08/11/2023"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Richiesta restituzione somme residue mensa scolastica {% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="3">
  {{ utils.firma( firmatario = "Il dichiarante" ) }}
</globo_fondo_pagina>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - restituzione somme residue mensa scolastica'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Richiesta restituzione somme residue mensa scolastica  </div>
</div>

<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto genitore, tutore o affidatario", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}              

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> la restituzione delle somme per l’inutilizzo del servizio mensa </div>
</div>

<input id="Referente_DatiPersonaObbligatori" name="Referente_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Referente_Titolo" name="Referente_Titolo" type="hidden" value="Minore"/>
<input id="Referente_Ruolo" name="Referente_Ruolo" type="hidden" value="Minore"/>
{{ anagrafica.persona_fisica( prefix="Referente", 
                              intestazione="del bambino", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="display:none", 
                              visibility_mail="display:none", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility")}}

<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-12">
      <label for="Parametri_ImportoResiduo"> importo presunto delle somme residue </label>
      <div class="paragraph text-justify"> <input class="form-control w-25 d-inline-block" id="Parametri_ImportoResiduo" name="Parametri_ImportoResiduo" label="importo presunto delle somme residue" format="valuta_positiva"> € </div>
    </div>
  </div>
</div>          

<div class="container">
  <div class="title-3"> CHIEDE INOLTRE </div>
</div>

<div class="container">
  <div class="form-check indent-1">
    <input class="form-check-input" id="ChiedeInoltre" name="ChiedeInoltre" type="checkbox" value="SI">
    <label class="form-check-label" for="ChiedeInoltre"> il trasferimento delle somme residue sul conto </label>
    <div class="containerindentato border bg-light pl-0">
      <div class="form-row">
        <div class="col-lg-12">
          <span class="title"> dell'alunno </span>
        </div>
      </div>
      <input id="Referente1_Titolo" name="Referente1_Titolo" type="hidden" value="Richiedente"/>
      <input id="Referente1_Ruolo" name="Referente1_Ruolo" type="hidden" value="Richiedente"/>
      {{ anagrafica.persona_fisica_indentata_responsive(prefix='Referente1', 
                                             intestazione="", 
                                             mandatory_enabled="#ChiedeInoltre.checked()", 
                                             visibility_intestazione="display:none", 
                                             visibility_residenza="display:none", 
                                             visibility_mail="display:none", 
                                             cf_obbligatorio="true", 
                                             pec_obbligatoria ="false", 
                                             mailordinaria_obbligatoria="false", 
                                             visibility_domicilio="display:none", 
                                             visibility_datanascita="visibility:visibility", 
                                             style_border="")}}
       <div class="form-row" mandatory_enabled="#ChiedeInoltre.checked()">
         <div class="form-group col-lg-12">
           <label for="Parametri_NBadgeAlunno"> Numero identificativo del badge dell’alunno </label>
           <input class="form-control" id="Parametri_NBadgeAlunno" name="Parametri_NBadgeAlunno" label="Numero identificativo del badge dell’alunno">
         </div>
       </div>                                      
    </div>
  </div>
  <globo_salto_pagina></globo_salto_pagina>
  <div class="form-check indent-1">
    <input class="form-check-input" id="ChiedeInoltre1" name="ChiedeInoltre1" type="checkbox" value="SI">
    <label class="form-check-label" for="ChiedeInoltre1"> la restituzione delle somme residue versate per il servizio mensa </label>
    <div class="containerindentato border bg-light pl-0">
        <div class="form-row" mandatory_enabled="#ChiedeInoltre1.checked()">
            <div class="col-lg-12">
              <span class="title"> con la seguente modalità di riscossione tramite accredito sul c/c postale o bancario </span>
            </div>
            <div class="form-group col-lg-12">
              <label for="Parametri_IBAN"> IBAN </label>
              <input class="form-control" id="Parametri_IBAN" name="Parametri_IBAN" label="IBAN" format="iban" onceonly="true" />
            </div>
        </div>
    </div>
  </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Intestatario del c/c bancario </label>
    </div>
  </div>
  <div class="form-check indent-1">
    <div id="Tassonomia_Intestatario" name="Tassonomia_Intestatario" label="intestatario" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Intestatario1" name="Tassonomia_Intestatario" type="radio" value="1">
    <label class="form-check-label" for="Tassonomia_Intestatario1"> richiedente </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_Intestatario2" name="Tassonomia_Intestatario" type="radio" value="2">
    <label class="form-check-label" for="Tassonomia_Intestatario2"> soggetto diverso dal richiedente </label>
      <div class="form-row" mandatory_enabled="#Tassonomia_Intestatario2.checked()">
        <div class="form-group col-lg-3">
          <label for="Parametri_CognomeAltroSogg"> Cognome </label>
          <input class="form-control" id="Parametri_CognomeAltroSogg" name="Parametri_CognomeAltroSogg" label="Cognome">
        </div>
        <div class="form-group col-lg-3">
          <label for="Parametri_NomeAltroSogg"> Nome </label>
          <input class="form-control" id="Parametri_NomeAltroSogg" name="Parametri_NomeAltroSogg" label="Nome">
        </div>
        <div class="form-group col-lg-3">
          <label for="Parametri_CFAltroSogg"> Codice Fiscale </label>
          <input class="form-control" id="Parametri_CFAltroSogg" name="Parametri_CFAltroSogg" label="Codice Fiscale" format="cf">
        </div>
        <div class="form-group col-lg-3">
          <label for="Parametri_EmailAltroSogg"> Posta elettronica ordinaria </label>
          <input class="form-control" id="Parametri_EmailAltroSogg" name="Parametri_EmailAltroSogg" label="Posta elettronica ordinaria" format="email">
        </div>
      </div>
  </div>
</div>

<div class="container">
  <div class="title-3"> CHIEDE INOLTRE </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Quietanza diretta a </label>
    </div>
  </div>
  <div class="form-check indent-1">
    <div id="Tassonomia_IntestatarioQuietanza" name="Tassonomia_IntestatarioQuietanza" label="intestatario" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_IntestatarioQuietanza1" name="Tassonomia_IntestatarioQuietanza" type="radio" value="1">
    <label class="form-check-label" for="Tassonomia_IntestatarioQuietanza1"> richiedente </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Tassonomia_IntestatarioQuietanza2" name="Tassonomia_IntestatarioQuietanza" type="radio" value="2">
    <label class="form-check-label" for="Tassonomia_IntestatarioQuietanza2"> soggetto diverso dal richiedente </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_IntestatarioQuietanza2.checked()">
      <div class="form-group col-lg-3">
        <label for="Parametri_CognomeRichiedente2"> Cognome </label>
        <input class="form-control" id="Parametri_CognomeRichiedente2" name="Parametri_CognomeRichiedente2" label="Cognome">
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_NomeRichiedente2"> Nome </label>
        <input class="form-control" id="Parametri_NomeRichiedente2" name="Parametri_NomeRichiedente2" label="Nome">
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_CFRichiedente2"> Codice Fiscale </label>
        <input class="form-control" id="Parametri_CFRichiedente2" name="Parametri_CFRichiedente2" label="Codice Fiscale" format="cf">
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_EmailRichiedente2"> Posta elettronica ordinaria </label>
        <input class="form-control" id="Parametri_EmailRichiedente2" name="Parametri_EmailRichiedente2" label="Posta elettronica ordinaria">
      </div>
    </div>
  </div>
</div>

{{ utils.Dichiara_445() }}

{{ utils_scolastici.dichiarazione_miur() }}

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<globo_salto_pagina></globo_salto_pagina>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>
{{ utils.firma_hidden( firmatario = "Il dichiarante" ) }}

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}